Package pyplusplus :: Package file_writers :: Module balanced_files :: Class balanced_files_t

# type balanced_files_t

source code

                     object --+
                              |
                writer.writer_t --+
                                  |
    multiple_files.multiple_files_t --+
                                      |
                                     balanced_files_t

This class implements classic strategy of deviding classes to files one class in one header + source files.

Instance Methods

__init__(self, extmodule, directory_path, number_of_buckets, write_main=True, files_sum_repository=None, encoding=`'``ascii``'`) Constructor. | source code

split_classes(self) | source code

Inherited from `multiple_files.multiple_files_t`: `associated_decl_creators`, `create_dir`, `create_function_code`, `create_header`, `create_include_code`, `create_namespaces_code`, `create_source`, `create_value_traits_header_name`, `find_out_value_traits_header`, `get_unique_creators`, `split_class`, `split_class_impl`, `split_creators`, `split_enums`, `split_free_functions`, `split_global_variables`, `split_value_traits`, `split_values_traits`, `write`, `write_file`

Inherited from `writer.writer_t`: `get_user_headers`, `save_exposed_decls_db`, `write_code_repository`

Static Methods
Inherited from `writer.writer_t`: `create_backup`

Class Variables
| HEADER_EXT = `'.pypp.hpp'`
| SOURCE_EXT = `'.pypp.cpp'`
Inherited from `writer.writer_t`: `logger`

Properties
Inherited from `multiple_files.multiple_files_t`: `directory_path` Inherited from `writer.writer_t`: `encoding`, `extmodule`, `files_sum_repository`

Method Details

### __init__(self, extmodule, directory_path, number_of_buckets, write_main=True, files_sum_repository=None, encoding=`'``ascii``'`)
(Constructor)

source code

Constructor.

Parameters:
  - `extmodule` (module_t) - The root of a code creator tree
  - `directory_path` (str) - The output directory where the source files are written
  - `write_main` (boolean) - if it is True, the class will write out a main file that calls all the registration methods.
Overrides: writer.writer_t.__init__

### split_classes(self)

source code

Overrides: multiple_files.multiple_files_t.split_classes